﻿using hanyadikhetvan.DTO;
using Microsoft.AspNetCore.Mvc;
using Microsoft.Extensions.Logging;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;

namespace hanyadikhetvan.Controllers
{
    [ApiController]
    [Route("/")]
    public class HanyadikHetVanController : ControllerBase
    {

        private readonly HanyadikHetVanJsonService _jsonservice;
        private readonly HanyadikHetVanService _service;


        public HanyadikHetVanController(HanyadikHetVanJsonService jsonservice, HanyadikHetVanService service)
        {
            _jsonservice = jsonservice;
            _service = service;
        }

        [HttpGet]
        [Consumes("application/json")]
        public HanyadikHetVanDTO GetJson()
        {
            return _jsonservice.HanyadikHetVan();
        }

        [HttpGet]
        public int Get()
        {
            return _service.HanyadikHetVan();
        }
    }
}
